%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: 	Online hand recognition system with machine learning
Summary(ja):	機械学習ベースのポータブルなオンライン手書き文字認識エンジン
Name: 		zinnia
Version: 	0.06
Release: 	%mkrel 2
License: 	BSD
Group: 		System/Internationalization
Source: 	http://downloads.sourceforge.net/zinnia/%name-%version.tar.xz
Patch0:		zinnia-0.05-bindings.patch
URL: 		http://zinnia.sourceforge.net/
BuildRequires:	perl-devel python-devel

%description
Zinnia is a simple, customizable and portable online hand recognition
system based on Support Vector Machines. Zinnia simply receives user
pen strokes as a sequence of coordinate data and outputs n-best
characters sorted by SVM confidence. To keep portability, Zinnia
doesn't have any rendering functionality. In addition to recognition,
Zinnia provides training module that allows us to create any hand-
written recognition systems with low-cost.

%description -l ja
Zinniaは機械学習アルゴリズム SVM を用いたポータブルで汎用的なオンライン手書き文字認識エンジンです。
Zinniaは組み込みの容易さと汎用性を高めるために、文字のレンダリング機能は持っていません。
Zinniaは文字のストローク情報を座標の連続として受け取り、確からしい順にスコア付きでN文字の認識結果を返すだけに機能を限定しています。
また、認識エンジンは完全に機械学習ベースであるために、文字のみならずユーザの任意のマウス・ペンストロークに対して任意の文字列をマッピングするような認識エンジンを小コスト作成することができます。

%package -n %libname
Summary:	Libraries for %name
Group:		System/Internationalization

%description -n %libname
This package contains shared libraries for %name.

%package -n %develname
Summary:	Development files for %name
Group:		System/Internationalization
Requires:	%libname = %version
Requires:	pkgconfig
Provides:	%name-devel = %version-%release

%description -n %develname
This package contains development files for %name.

%package -n perl-%name
Summary:	Perl bindings for %name
Group:		Development/Perl
Requires:	%{name} = %{version}

%description -n perl-%name
This package contains perl bindings for %name.

%package -n python-%name
Summary:	Python bindings for %name
Group:		Development/Python
Requires:	%{name} = %{version}
Provides:	tegaki-engine

%description -n python-%name
This package contains python bindings for %name.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .bindings
find . -type f -name ChangeLog -size 0c -exec rm -f {} ';'
find . -type f -name "*.pyc" -exec rm -f {} ';'

pushd doc
iconv -f latin1 -t utf8 zinnia.css > zinnia.css.bak
mv -f zinnia.css.bak zinnia.css
popd


%build
%configure2_5x --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make

pushd perl
perl Makefile.PL INSTALLDIRS=vendor
%make
popd

pushd python
CFLAGS="%{optflags} -I../" LDFLAGS="-L../.libs" python setup.py build
popd

%install
rm -rf %{buildroot}
%makeinstall_std

pushd perl
%makeinstall_std
chmod 0755 $RPM_BUILD_ROOT%{perl_vendorarch}/auto/zinnia/zinnia.so
popd

pushd python
python setup.py install --prefix $RPM_BUILD_ROOT%{_prefix}
popd

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name "*.bs" -size 0c -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


# -----------------------------------------------------------

%files
%defattr (-,root,root)
%{_bindir}/*

%files -n %libname
%defattr (-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %develname
%defattr (-,root,root)
%doc doc/*
%{_includedir}/*.h
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n perl-%name
%defattr (-,root,root)
%perl_vendorarch/auto/zinnia/zinnia.so
%perl_vendorarch/zinnia.pm

%files -n python-%name
%defattr (-,root,root)
%{py_platsitedir}/*


%changelog
* Tue Nov 19 2013 billybot <billybot> 0.06-2pclos2013
- drop ldconfig postscripts

* Sun Nov 10 2013 pinoc <vogtpet at gmail.com> 0.06-1pclos2013
- import zinnia


